Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps
Class PSDocumentHandler.FOPPSGeneratorImpl

    java.lang.Object
      org.apache.xmlgraphics.ps.PSGenerator
          org.apache.fop.render.ps.PSDocumentHandler.FOPPSGeneratorImpl

All Implemented Interfaces:
  PSDocumentHandler.FOPPSGenerator, org.apache.xmlgraphics.ps.PSCommandMap

Enclosing class:
  PSDocumentHandler

    public class PSDocumentHandler.FOPPSGeneratorImpl

extends org.apache.xmlgraphics.ps.PSGenerator
implements PSDocumentHandler.FOPPSGenerator

Field Summary

Fields inherited from class org.apache.xmlgraphics.ps.PSGenerator
`ATEND, DEFAULT_LANGUAGE_LEVEL, LF`

Constructor Summary
`PSDocumentHandler.FOPPSGeneratorImpl(java.io.OutputStream out)`

Method Summary
`PSDocumentHandler` | `getHandler()`
`java.util.Map<java.lang.Integer,java.net.URI>` | `getImages()`
`java.io.BufferedOutputStream` | `getTempStream(java.net.URI uri)`
`javax.xml.transform.Source` | `resolveURI(java.lang.String uri)` Need to subclass PSGenerator to have better URI resolution

Methods inherited from class org.apache.xmlgraphics.ps.PSGenerator
`commentln, concatMatrix, concatMatrix, concatMatrix, convertRealToDSC, convertStringToDSC, convertStringToDSC, defineRect, embedIdentityH, escapeChar, flush, formatDouble, formatDouble5, formatMatrix, formatRectangleToArray, getCurrentState, getIdentityHCMapResource, getOutputStream, getProcsetCIDInitResource, getPSLevel, getResourceTracker, includeProcsetCIDInitResource, isCommentsEnabled, isCompactMode, isResourceSupplied, mapCommand, newLine, notifyResourceUsage, notifyStartNewPage, restoreGraphicsState, saveGraphicsState, setCommentsEnabled, setCompactMode, setPSLevel, setResourceTracker, showPage, useColor, useDash, useFont, useLineCap, useLineJoin, useLineWidth, useMiterLimit, useRGBColor, write, write, writeByteArr, writeDSCComment, writeDSCComment, writeDSCComment, writeln, writeResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSDocumentHandler.FOPPSGeneratorImpl

    public PSDocumentHandler.FOPPSGeneratorImpl(java.io.OutputStream out)

Method Detail

### resolveURI

    public javax.xml.transform.Source resolveURI(java.lang.String uri)

  Need to subclass PSGenerator to have better URI resolution

  Overrides:
    `resolveURI` in class `org.apache.xmlgraphics.ps.PSGenerator`

### getHandler

    public PSDocumentHandler getHandler()

  Specified by:
    `getHandler` in interface `PSDocumentHandler.FOPPSGenerator`

### getTempStream

    public java.io.BufferedOutputStream getTempStream(java.net.URI uri)
                                               throws java.io.IOException

  Specified by:
    `getTempStream` in interface `PSDocumentHandler.FOPPSGenerator`
  Throws:
    `java.io.IOException`

### getImages

    public java.util.Map<java.lang.Integer,java.net.URI> getImages()

  Specified by:
    `getImages` in interface `PSDocumentHandler.FOPPSGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.